Get governance dashboard
GET
/governance/dashboard
const url = 'https://shoehorn.example.com/api/v1/governance/dashboard';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/governance/dashboardReturns aggregate metrics for governance actions across all entities.
Responses
Section titled “ Responses ”Dashboard metrics
Media type application/json
object
total_actions
integer
by_status
object
open
integer
in_progress
integer
resolved
integer
dismissed
integer
wont_fix
integer
by_priority
object
critical
integer
high
integer
medium
integer
low
integer
Example generated
{ "total_actions": 1, "by_status": { "open": 1, "in_progress": 1, "resolved": 1, "dismissed": 1, "wont_fix": 1 }, "by_priority": { "critical": 1, "high": 1, "medium": 1, "low": 1 }}